bdi4jade.goal

## Class BeliefNotNullValueGoal<K,V>

- java.lang.Object
- - bdi4jade.goal.AbstractBeliefGoal<K>
  - - bdi4jade.goal.BeliefNotNullValueGoal<K,V>

- Type Parameters:
    `K` - the type of the belief name.
    `V` - the type of the belief value.
  All Implemented Interfaces:
    BeliefGoal<K>, Goal, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable

      public class BeliefNotNullValueGoal<K,V>
      extends AbstractBeliefGoal<K>

  This class represents the goal of an agent to believe in a certain belief with a not null value, that is, the agent has a belief whose name is specified in this goal and value can be any but null.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.goal.AbstractBeliefGoal

      `beliefName, outputBelief`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeliefNotNullValueGoal()` Default constructor.
    `BeliefNotNullValueGoal(K beliefName)` Creates a new BeliefNotNullValueGoal with the provided belief.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `boolean` | `isAchieved(BeliefBase beliefBase)` Checks whether this goal is achieved by verifying if the provided belief has the value specified in this goal.
    `java.lang.String` | `toString()` Returns a string representation of this goal, in the form "BeliefValueGoal: BELIEF NAME should be BELIEF VALUE".

    - ### Methods inherited from class bdi4jade.goal.AbstractBeliefGoal

      `getBeliefName, getOutputBelief, setBeliefName, setOutputBelief`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeliefNotNullValueGoal

          public BeliefNotNullValueGoal()

      Default constructor.

    - #### BeliefNotNullValueGoal

          public BeliefNotNullValueGoal(K beliefName)

      Creates a new BeliefNotNullValueGoal with the provided belief.
      Parameters:
        `beliefName` - the belief name.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractBeliefGoal<K>`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractBeliefGoal<K>`
      See Also:
        `Object.hashCode()`

    - #### isAchieved

          public boolean isAchieved(BeliefBase beliefBase)

      Checks whether this goal is achieved by verifying if the provided belief has the value specified in this goal.
      Parameters:
        `beliefBase` - the belief base to be checked.
      Returns:
        true if the belief has the value specified in this goal, false otherwise.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this goal, in the form "BeliefValueGoal: BELIEF NAME should be BELIEF VALUE".
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string representation of this belief value goal.
      See Also:
        `Object.toString()`